<?php
  session_start();
  
  if(!isset($_POST['id']) || !isset($_POST['imie']) || !isset($_POST['nazwisko']) ||
     !isset($_POST['rok_urodzenia']) || !isset($_POST['miejsce_urodzenia'])){
    $_SESSION['komunikat'] = "Brak danych.";
    header('Location:index.php');
    exit();
  }

  if($_POST['imie'] == '' || $_POST['nazwisko'] == '' ||
     $_POST['rok_urodzenia'] == '' || $_POST['miejsce_urodzenia'] == ''){
    $_SESSION['komunikat'] = "Brak danych.";
    header('Location:index.php');
    exit();
  }

  $id = (int)$_POST['id'];
  $imie = $_POST['imie'];
  $nazwisko = $_POST['nazwisko'];
  $rok_urodzenia = $_POST['rok_urodzenia'];
  $miejsce_urodzenia = $_POST['miejsce_urodzenia'];

  if($id < 1){
    $id = 'NULL';
  }
  
  //Tutaj dodaj procedury weryfikacji poprawności danych

  if (!$db_lnk = @sqlite_open("/var/wwwdata/testphp.db", 0666, $msg)){
    $_SESSION['komunikat'] = "Wystapił błąd podczas próby połączenia z bazą danych...";
    header('Location:index.php');
    exit();
  }

  //Zabezpieczenie znaków specjalnych
  $imie = sqlite_escape_string($imie);
  $nazwisko = sqlite_escape_string($nazwisko);
  $rok_urodzenia = sqlite_escape_string($rok_urodzenia);
  $miejsce_urodzenia = sqlite_escape_string($miejsce_urodzenia);
  
  $query = "INSERT INTO osoba VALUES(";
  $query .= "$id, '$imie', '$nazwisko', $rok_urodzenia, '$miejsce_urodzenia'";
  $query .= ")";

  if(!@sqlite_exec($db_lnk, $query, $msg)){
    sqlite_close($db_lnk);
    $_SESSION['komunikat'] = "Wystąpił błąd: zapytanie zostało odrzucone...";
    header('Location:index.php');
    exit;
  }

  $rowsNo = sqlite_changes($db_lnk);
  sqlite_close($db_lnk);

  $_SESSION['komunikat'] = "Liczba dodanych rekordów: $rowsNo";
  header('Location:index.php');
?>

